Wikipedia.org Portal Test: add information for Wikipedia / Wikimedia apps availablity
Closed, ResolvedPublic

Description

This ticket is to test the thoughts that we've discussed here: T135441. We have decided, after several very nice designs and feedback from the community, to do the ones attached in this ticket as an test on the Wikipedia.org portal page.

Because of recent updates that have greatly matured both the iOS and Android Wikipedia apps and with lots of increased interest around those apps (via blog posts and other articles, etc), we want to run a long term test on the Wikipedia.org portal page that will show a subduded but tasteful information box/badge.

This box/badge will display links to the iOS and Android official app download sites as well as a link to all the available apps for Wikimedia projects.

This test will run for at least 30 days but could be extended longer, based on feedback from the Reading/Mobile team. The test will not be a typical A/B type of test, but rather a long term trial of the addition of the apps availability information shown to all visitors to the portal site.

For the URL for the iOS app store, please use:
https://itunes.apple.com/app/apple-store/id324715238?pt=208305&ct=portal&mt=8

The URL for the Google Play store should be:
https://play.google.com/store/apps/details?id=org.wikipedia&referrer=campaign_id%3Dportal

The URL for the full list of available apps for Wikimedia projects should be:
https://en.wikipedia.org/wiki/List_of_Wikipedia_mobile_applications

Badge for apps to be displayed at all times (regardless of OS) during the course of this test:

Badges for iOS and Android:

Mobile page placement (but using the text as shown in the first image in this ticket):

Older designs for desktop placement that are kept here for historical purposes only

debt created this task.Jun 9 2016, 9:19 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 9 2016, 9:19 PM
debt updated the task description. (Show Details)Sep 23 2016, 5:57 PM
debt renamed this task from Wikipedia.org Portal: add app badges to Wikipedia.org Portal A/B Test: add information for Wikipedia / Wikimedia apps availablity.Sep 23 2016, 7:00 PM
debt triaged this task as Normal priority.
debt updated the task description. (Show Details)
debt updated the task description. (Show Details)Sep 23 2016, 7:34 PM
debt renamed this task from Wikipedia.org Portal A/B Test: add information for Wikipedia / Wikimedia apps availablity to Wikipedia.org Portal Test: add information for Wikipedia / Wikimedia apps availablity.Sep 23 2016, 9:38 PM
debt updated the task description. (Show Details)
debt updated the task description. (Show Details)Sep 23 2016, 10:02 PM
ksmith added a subscriber: ksmith.Sep 27 2016, 7:53 PM
Krinkle removed a subscriber: Krinkle.Sep 29 2016, 7:37 PM

Change 314246 had a related patch set uploaded (by Jdrewniak):
Adding mobile app links to wikipedia.org footer

https://gerrit.wikimedia.org/r/314246

debt assigned this task to Jdrewniak.Oct 11 2016, 4:13 PM

@JGirault : It looks like the patch was updated yesterday. Is this something you can review (and hopefully merge)?

I merged because the comments are minor. However, @Jdrewniak can you please take a look at the comments, and address them for the production patch?
I'll review the production patch again.

Change 314246 merged by jenkins-bot:
Adding mobile app links to wikipedia.org footer

https://gerrit.wikimedia.org/r/314246

Change 318271 had a related patch set uploaded (by Jdrewniak):
Building wikipedia.org portal for prod

https://gerrit.wikimedia.org/r/318271

Change 318271 merged by jenkins-bot:
Building wikipedia.org portal for prod

https://gerrit.wikimedia.org/r/318271

The links are now live on wikipedia.org portal page as a test that is part of the epic outlined in T135441

Change 319614 had a related patch set uploaded (by Jdrewniak):
Fixing links on app badges

https://gerrit.wikimedia.org/r/319614

Change 319614 merged by jenkins-bot:
Fixing links on app badges

https://gerrit.wikimedia.org/r/319614

debt added a comment.Nov 4 2016, 12:16 AM

The app download links have now been updated (during evening SF swat).

debt closed this task as Resolved.Jan 6 2017, 12:40 AM

Closing this ticket as successfully completed. Here are comments from T135441:

Based on the results the long term test of the addition of the Wikipedia / Wikimedia app links to the Wikipedia.org portal page - all signs have shown that the addition of the links have been successful in aiding discovery for our visitors that there are mobile apps available for download.

The test results are calculated in T146807 for November and December 2016 for mobile and desktop devices as well as for iOS, Android and app page clickthroughs.

We've also had several calls to translate the text of the app links and now that the test has concluded, I've updated T154350, asking for translations to be added to translatewiki for these links, so that we can add them to the portal page (along with the other translations as described in T142582).

Since the app links will now be a permanent part of the wikipedia.org portal page, we will also add them to the portal dashboard stats, as described in T154634.